import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.Test;

class OrderMatchingTest {

	@Test
	void buySellOrderMatchTest() {
		Customer c1 = new Customer("c1");
		Customer c2 = new Customer("c2");
		Stock appleStock = new Stock("apple");
		Stock googleStock = new Stock("google");
		
		OrderMatching orderMatching = new OrderMatching();
		
		BuyOrder b1 = new BuyOrder(1, c1, googleStock, 100, 300);
		BuyOrder b2 = new BuyOrder(2, c2, googleStock, 300, 200);
		BuyOrder b3 = new BuyOrder(5, c1, googleStock, 300, 200);
		SellOrder s1 = new SellOrder(3, c2, googleStock, 200, 200);
		SellOrder s2 = new SellOrder(4, c2, appleStock, 200, 200);
		
		assertTrue(orderMatching.buySellOrderMatch(b1, s1));
		assertFalse(orderMatching.buySellOrderMatch(b1, s2));
		assertFalse(orderMatching.buySellOrderMatch(b1, s2));
		assertFalse(orderMatching.buySellOrderMatch(b2, s1));
		assertTrue(orderMatching.buySellOrderMatch(b3, s1));
	}

}
